﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace WpfApplication7
{
    /// <summary>
    /// Interaction logic for ScoreListView.xaml
    /// </summary>
    public partial class ScoreListView : Window
    {
        public ScoreListView()
        {
            InitializeComponent();

            dataGrid1.ItemsSource = StudentService.RetrieveStudentList();
        }

        private void dataGrid1_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            var selectStudent = e.AddedItems[0] as Student;
            tbUserName.Text = selectStudent.UserName;
            tbScore.Text = selectStudent.Score.ToString();
        }
    }
}